% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/write_png.R
\name{write_png}
\alias{write_png}
\title{write_png}
\usage{
write_png(hillshade, filename, rotate = 0)
}
\arguments{
\item{hillshade}{Array (or matrix) of hillshade to be written.}

\item{filename}{String with the filename. If `.png` is not at the end of the string, it will be appended automatically.}

\item{rotate}{Default 0. Rotates the output. Possible values: 0, 90, 180, 270.}
}
\description{
Writes the hillshaded map to file.
}
\examples{
filename_map = tempfile()

#Save the map into `filename_map`
montereybay \%>\%
 sphere_shade() \%>\%
 write_png(filename_map)
 
#Rotate the map 180 degrees:

montereybay \%>\%
 sphere_shade() \%>\%
 write_png(filename_map,rotate=180)
}
